Loading...
Searching...
No Matches
alignedallocator.hh File Reference

This is a stand-alone version of boost::alignment::aligned_allocator from Boost 1.58. More...

`#include <cassert>`
`#include <cstdlib>`
`#include <memory>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Classes

struct | Opm::detail::is_alignment_constant< N >
struct | Opm::detail::min_size< A, B >
struct | Opm::detail::offset_object< T >
struct | Opm::detail::alignment_of< T >
struct | Opm::detail::max_align< A, B >
struct | Opm::detail::max_count_of< T >
class | Opm::aligned_allocator< T, Alignment >
struct | Opm::aligned_allocator< T, Alignment >::rebind< U >
class | Opm::aligned_allocator< void, Alignment >
struct | Opm::aligned_allocator< void, Alignment >::rebind< U >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Functions

constexpr bool | Opm::detail::is_alignment (std::size_t value) noexcept
void * | Opm::aligned_alloc (std::size_t alignment, std::size_t size) noexcept
void | Opm::aligned_free (void *ptr) noexcept
template<class T1, class T2, std::size_t Alignment>
bool | Opm::operator== (const aligned_allocator< T1, Alignment > &, const aligned_allocator< T2, Alignment > &) noexcept
template<class T1, class T2, std::size_t Alignment>
bool | Opm::operator!= (const aligned_allocator< T1, Alignment > &, const aligned_allocator< T2, Alignment > &) noexcept

## Detailed Description

This is a stand-alone version of boost::alignment::aligned_allocator from Boost 1.58.

The file has been modified to assume a C++-2011 compatible compiler on a POSIX operating system to remove the boost dependencies which the original version contained. The original copyright notice for this file is:

     (c) 2014 Glen Joseph Fernandes
     glenjofe at gmail dot com

     Distributed under the Boost Software
     License, Version 1.0.
     http://boost.org/LICENSE_1_0.txt